//---------------------------------------------------------------------------


#include "gdsIIExporter.h"
#include <math.h>
#include <iostream>


int main(int argc, char* argv[])
{
	char *src="ems.gds";
	int x[]={110,210,327,200,600,700,880,1000};
	int y[]={0,100,250,150,300,440,900,800};

	int xar[]={0,1000,0};
	int yar[]={0,0,1000};

        if(!LoadGDSIIExporter())
                exit(1);

        try{
        GDS_BeginLib(src, 1e-3, 1e-9);
	        GDS_BeginStructure("str3");
		        GDS_Sref("str1", 100, 100,0,1,30,ELFLAGS_TEMPLATE,0);
        	GDS_EndStructure();

	GDS_BeginStructure("str2");
		GDS_Aref("ur11",  xar, yar,5,4,0,1,0,0,0);
	GDS_EndStructure();

	GDS_BeginStructure("ur11");
		GDS_Box(0,0,100,100, 0,10, 0, 0);
	GDS_EndStructure();


	GDS_BeginStructure("str1");
       	GDS_Box(100, 100,  200, 200,0,10, 0, 0);
		GDS_BoxWH(150, 150,  500, 500,0,10, 0, 0);

		GDS_Path( x, y, 8 ,10, 1,63, PATHTYPE1, 0, PLEX_HEAD);
		GDS_Text( 100, 100, "Easy Math Solution", 1, 4,
				PRESENT_HCENTER |PRESENT_VBOTTOM, PATHTYPE1, 0, STRANS_0,
				0.1, 0, 0, 0);

		GDS_Circle(1500, 1000, 1000, 4, 0,0,0,0);
		GDS_Circle(1000, 1500, 1000, 7, 0,0,0,0);
		GDS_Arc(100, 150, 1000, 45, 178, 5,40, 0, 0, PATHTYPE1,0,0);
		GDS_Sector(1000, 1500, 1050, 120, 290,199, 0,0,0,0);
		GDS_Square(500, 500, 400,0,0,0,0);
		GDS_EndStructure();
                
	GDS_EndLib();

        UnLoadGDSIIExporter();
        }catch(GDSIIException &e)
        {
        std::cout<<e.getError();
        }

	return 0;
}


